Commit dfb962ea authored by Marcin Siodelski's avatar Marcin Siodelski

[#344,!171] Updated runtime dependencies in UG: Botan and OpenSSL.

parent 85030cfc
......@@ -67,9 +67,9 @@
Kea supports two crypto libraries: Botan and OpenSSL. Only one of them
is required to be installed during compilation. Kea uses the Botan
crypto library for C++ (<uri xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://botan.randombit.net/">http://botan.randombit.net/</uri>),
version 1.9 or later. As an alternative to Botan, Kea can use the
version 1.9 or later. Note that support for Botan versions earlier than 2.0 will be dropped in Kea 1.6.0 release. As an alternative to Botan, Kea can use the
OpenSSL crypto library (<uri xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.openssl.org/">http://www.openssl.org/</uri>),
version 1.0.1 or later.
version 1.0.2 or later.
</simpara>
</listitem>
......@@ -81,6 +81,12 @@
</simpara>
</listitem>
<listitem>
<simpara>
Kea requires Boost system library (<uri xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="http://www.boost.org/">http://www.boost.org/</uri>) at run-time, as building with header only version of Boost is no longer recommended.
</simpara>
</listitem>
<listitem>
<simpara>
In order to store lease information in a MySQL database, Kea requires MySQL
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment